@echo OFF
rem  * *******************************************************************
rem  *               CBLRTNE2.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text    - COBOL processes File Status Codes
rem  * Author  - SimoTime Technologies
rem  * Date    - January 01, 1987
rem  * Version - 04.01.20
rem  *
rem  * This set of programs illustrate the use COBOL programs to create
rem  * and access a file contianing a list of File Status Codes.
rem  *
rem  * This set of programs will run on a Personal Computer with Windows
rem  * and Micro Focus Net Express.
rem  *
rem  *   ************
rem  *   * CBLRTNE2 *
rem  *   ********cmd*
rem  *        *
rem  *   ************        ************      ************
rem  *   * SIMOEXEC ***call*** SIMOLOGS ******** CONSOLE  *
rem  *   ********exe*        ********dll*   *  ************
rem  *        *                             *
rem  *        *                             *  ************
rem  *        *                             ****  SYSLOG  *
rem  *        *                                *******data*
rem  *        *
rem  *        *
rem  *        *
rem  *   ************        ************      ************
rem  *   * SIMOEXEC ***call*** CBLRTNC2 ******** CONSOLE  *
rem  *   ************        ********cbl*   *  ************
rem  *        *                   *         *
rem  *        *                   *         *
rem  *        *              ************   *  ************
rem  *        *              * SIMOSTAT *   **** FILECODE *
rem  *        *              ************      *******data*
rem  *        *
rem  *   ************
rem  *   *   EOJ    *
rem  *   ************
rem  *
rem  * ********************************************************************
rem  * Step   1 of 2  Set the global environment variables...
rem  *
     call ..\Env1BASE
rem  *
     call SimoNOTE "*******************************************************CblRtnE2"
     call SimoNOTE "Starting JobName CblRtnE2"
rem  * ********************************************************************
rem  * Step   2 of 2  Execute the sample program...
rem  *
     call SimoNOTE "Identify JobStep 002, Create a file of Status Codes"
     set FILECODE=%BASEAPP%\DATA\Wrk1\FileStatusCodes.DAT
     if exist %FILECODE% del %FILECODE%
     run SimoEXEC EXEC CblRtnC2
     if errorlevel = 1 set JobStatus=0002
     if not "%JobStatus%" == "0000" goto :EojNOK
     if exist %FILECODE% call SimoNOTE "Produced %FILECODE%"
:EojAOK
     call SimoNOTE "Finished JobName CblRtnE2"
     goto :End
:EojNOK
     call SimoNOTE "ABENDING JobName CblRtnE2"
     call SimoNOTE "ABENDING Message JobStatus %JobStatus%"
     goto :End
:End
     if not "%1" == "nopause" pause
