//CBLRTNJ2 JOB SIMOTIME,ACCOUNT,CLASS=1,MSGCLASS=A,NOTIFY=CSIP1
//* *******************************************************************
//*       CBLRTNJ2.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2019 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - COBOL displays file return code and text
//* Author - SimoTime Technologies
//* Date   - January 01, 1987
//*
//* This set of programs illustrate the use a COBOL program to do
//* a display of a two byte, file status code that may contain
//* binary data. A brief description about a file status code is
//* provided. A sequential file of the File Status Codes and the
//* description is created.
//*
//* This set of programs will run on a mainframe under MVS or on
//* a Personal Computer running Windows and Mainframe Express by
//* Micro Focus.
//*
//*   ************
//*   * CBLRTNJ2 *
//*   ********jcl*
//*        *
//*        *
//*   ************     ************
//*   * CBLRTNC2 *--*--* FILECODE *
//*   ********cbl*  *  ************
//*        *        *
//*        *        *  ************
//*        *        *--* DISPLAY  *
//*        *           ************
//*        *
//*   ************
//*   * SIMOSTAT *
//*   ************
//*
//*
//* *******************************************************************
//* Step 1 of 2, Delete any previously created file...
//*
//GETREADY EXEC PGM=IEFBR14
//FILECODE DD  DSN=SIMOTIME.DATA.FILECODE,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//*
//* *******************************************************************
//* Step 2 of 2, Create and populate a new QSAM file...
//*
//BUILDNEW EXEC PGM=CBLRTNC2
//STEPLIB  DD  DSN=SIMOTIME.DEMO.LOADLIB1,DISP=SHR
//FILECODE DD  DSN=SIMOTIME.DATA.FILECODE,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//
//SYSOUT   DD  SYSOUT=*
//*
