@echo OFF
rem  * *******************************************************************
rem  *               CBLRTNE1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text    - COBOL processes File Status Codes
rem  * Author  - SimoTime Technologies
rem  * Date    - January 01, 1987
rem  * Version - 04.01.20
rem  *
rem  * This set of programs illustrate the use a COBOL program to create
rem  * and access file status codes.
rem  *
rem  * This set of programs will run on a Personal Computer with Windows
rem  * and Micro Focus Net Express.
rem  *
rem  *   ************
rem  *   * CBLRTNE1 *
rem  *   ********cmd*
rem  *        *
rem  *   ************        ************      ************
rem  *   * SIMOEXEC ***call*** SIMOLOGS ******** CONSOLE  *
rem  *   ********exe*        ********dll*   *  ************
rem  *        *  *                          *
rem  *        *  *                          *  ************
rem  *        *  *                          ****  SYSLOG  *
rem  *        *  *                             *******data*
rem  *        *  *
rem  *        *  *
rem  *   ************        ************      ************
rem  *   * SIMOEXEC ***call*** CBLRTNC1 ******** CONSOLE  *
rem  *   ************        ********cbl*      ************
rem  *        *                   *
rem  *        *                   *
rem  *        *              ************
rem  *        *              * SIMOSTAT *
rem  *        *              ************
rem  *        *
rem  *   ************
rem  *   *   EOJ    *
rem  *   ************
rem  *
rem  * ********************************************************************
rem  * Step   1 of 2  Set the global environment variables...
rem  *
     call ..\Env1BASE
rem  *
     call SIMONOTE "*******************************************************CblRtnE1"
     call SIMONOTE "Starting JobName CblRtnE1"
rem  * ********************************************************************
rem  * Step   2 of 2  Execute the sample program...
rem  *
     call SIMONOTE "Identify JobStep 001, Demonstrate the pre-defined failures"
     run SimoEXEC EXEC CblRtnC1
     if errorlevel = 1 set JobStatus=0002
     if not "%JobStatus%" == "0000" goto :EojNOK
:EojAOK
     call SIMONOTE "Finished JobName CblRtnE1"
     goto :End
:EojNOK
     call SIMONOTE "ABENDING JobName CblRtnE1"
     call SIMONOTE "ABENDING Message JobStatus %JobStatus%"
     goto :End
:End
     if not "%1" == "nopause" pause

